## tde-style-ia-ora-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( tde-style-ia-ora )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## tde-style-ia-ora-trinity 14.0.10

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

tde-style-ia-ora-trinity (1.0.8-0debian7.0.0+0) wheezy; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 26 Mar 2016 20:15:45 +0100

=== debian/control ===
Source: tde-style-ia-ora-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
X-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdebase-trinity-dev
Standards-Version: 3.8.0

Package: tde-style-ia-ora-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mandriva Ia Ora theme for TDE

## tde-style-ia-ora-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( tde-style-ia-ora )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -45,6 +45,12 @@
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
+##### user requested modules
+
+option( BUILD_ALL          "Build all" ON )
+option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
+
+
 ##### configure checks
 
 include( ConfigureChecks.cmake )
@@ -64,6 +70,11 @@
 add_subdirectory( src )
 
 
+##### other data ################################
+
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
+
+
 ##### write configure files
 
 configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 12 Jul 2021 13:19:37 +0200

## tde-style-ia-ora-trinity 14.0.13

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.0.13-0raspbian9.0.0+0) raspbian-stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 08:35:27 +0200

## tde-style-ia-ora-trinity 14.1.0

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tde-style-ia-ora-trinity 14.1.1

=== src/CMakeLists.txt ===
add_subdirectory( widget )
add_subdirectory( twin )

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 14 Sep 2023 03:51:53 +0200

## tde-style-ia-ora-trinity 14.1.2

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:51 +0200

## tde-style-ia-ora-trinity 14.1.3

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:47:11 +0200

## tde-style-ia-ora-trinity 14.1.4

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tde-style-ia-ora-trinity 14.1.5~pre0

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 9dec2dce9536700ec34f4d7891f2902e32904dec
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-ia-ora-trinity 14.1.5

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.1.5-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 X-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdebase-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev, libgtk2.0-dev
 Standards-Version: 3.8.0
 
 Package: tde-style-ia-ora-trinity

## tde-style-ia-ora-trinity 14.1.6~pre0

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9dec2dce9536700ec34f4d7891f2902e32904dec
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-ia-ora-trinity 14.1.6~pre1

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a96ecf8f1cc86c46ee5800f0209f341a69d3383e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:15:37 +0100

## tde-style-ia-ora-trinity 14.2.0~pre34

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.2.0~pre34-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for f1fe95cccf7fa3648b271b93d38b6259f303951c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tde-style-ia-ora-trinity 14.2.0~pre35

=== src/twin/CMakeLists.txt ===
tde_import( twin )

add_subdirectory( config )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### twin_iaora (kpart)

tde_add_kpart( twin_iaora AUTOMOC

  SOURCES
        iaora.cpp
        iaoraclient.cpp
        iaorabutton.cpp
        misc.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdecorations-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

install(
    FILES iaora.desktop
    DESTINATION ${DATA_INSTALL_DIR}/twin
)

=== debian/changelog ===
tde-style-ia-ora-trinity (4:14.2.0~pre35-0ubuntu26.04.0+8~a) resolute; urgency=low

  * Automated git build for 9ce6d3835728934f7b2fed7336060fe95b0370ab
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-ia-ora

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:11:38 +0100
